#
#       Makefile for uupack
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uupack
LIBFSRCS	= uulin.f  uulinz.f uumrk.f  uumrkz.f uuiget.f uuiqnp.f \
		  uulget.f uulqnp.f uurget.f uurqnp.f uupget.f uupqnp.f \
		  uuinit.f uuslnt.f uusmkt.f uusebt.f uusbrs.f uusfrt.f \
		  uusarp.f uusidv.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uulin.o  uulinz.o uumrk.o  uumrkz.o uuiget.o uuiqnp.o \
		  uulget.o uulqnp.o uurget.o uurqnp.o uupget.o uupqnp.o \
		  uuinit.o uuslnt.o uusmkt.o uusebt.o uusbrs.o uusfrt.o \
		  uusarp.o uusidv.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
